﻿B4J=true
Group=Modules
ModulesStructureVersion=1
Type=StaticCode
Version=10
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private frmMDI As Form
	Public Workarea As ScrollPane
	Private Sidebar As ScrollPane
End Sub

Public Sub Show
	If frmMDI.IsInitialized = False Then
		frmMDI.Initialize("frmMDI", 800, 600)
		Controls.setMaximized(frmMDI, False)
		frmMDI.RootPane.LoadLayout("mdi_form")
		Metro.ApplyTheme(frmMDI,"Light")
		frmMDI.Title = Variables.appTitle & " [Dashboard]"
		frmMDI.Show
		
	End If
	
	Workarea.LoadLayout("dashboard", Workarea.PrefWidth, Workarea.PrefHeight)
End Sub

Private Sub Workarea_Resize (Width As Double, Height As Double)
	Workarea.InnerNode.PrefWidth = Width
	Workarea.InnerNode.PrefHeight = Height
End Sub

Private Sub btnClients_MouseClicked (EventData As MouseEvent)
	Workarea.InnerNode.RemoveNodeFromParent
	frmMDI.Title = Variables.appTitle & " [Clients]"
	Clients.LoadLayout
End Sub

Private Sub btnUsers_MouseClicked (EventData As MouseEvent)
	Workarea.InnerNode.RemoveNodeFromParent
	frmMDI.Title = Variables.appTitle & " [Users]"
	Users.LoadLayout
End Sub

Private Sub btnDashboard_MouseClicked (EventData As MouseEvent)
	Workarea.InnerNode.RemoveNodeFromParent
	Workarea.LoadLayout("dashboard", Workarea.InnerNode.PrefWidth, Workarea.InnerNode.PrefHeight)
	frmMDI.Title = Variables.appTitle & " [Dashboard]"
End Sub

Private Sub btnExit_MouseClicked (EventData As MouseEvent)
	Dim sf As Object = Libraries.xui.Msgbox2Async("Exit app? All unsaved records will not be stored.", "Success", "Ok", "", "No", Null)
	Wait For (sf) Msgbox_Result (Result As Int)
	If Result = Libraries.xui.DialogResponse_Positive Then
		ExitApplication
	else if Result = Libraries.xui.DialogResponse_Negative Then
		Return
	End If
End Sub

Private Sub btnItems_MouseClicked (EventData As MouseEvent)
	Workarea.InnerNode.RemoveNodeFromParent
	frmMDI.Title = Variables.appTitle & " [Items]"
	Items.LoadLayout
End Sub

Private Sub tbnAppointment_MouseClicked (EventData As MouseEvent)
	Workarea.InnerNode.RemoveNodeFromParent
	frmMDI.Title = Variables.appTitle & " [Appointments]"
	Appointments.LoadLayout
End Sub