﻿B4J=true
Group=Modules
ModulesStructureVersion=1
Type=StaticCode
Version=10
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private tblUsers As TableView
End Sub


Public Sub LoadLayout
	MDI.Workarea.InnerNode.RemoveNodeFromParent
	MDI.Workarea.LoadLayout("user_list", MDI.Workarea.InnerNode.PrefWidth, MDI.Workarea.InnerNode.PrefHeight)
	Wait For (getUsers) Complete (Success As Boolean)
	
End Sub

'Private Sub CreateListItems(id As Int, firstname As String, lastname As String, username As String, width As Int, height As Int) As Pane
'	Dim p As Pane
'	p.Initialize("")
'	p.SetLayoutAnimated(0,0,0,width, height)
'	p.LoadLayout("user_list_items")
'	
'	lblUserId.Text = id
'	lblFirstname.Text = firstname
'	lblLastname.Text = lastname
'	lblUsername.Text = username
'	
'	Return p
'End Sub

'Private Sub deleteUser(id As Int) As ResumableSub
'	Dim result As Boolean
'	If Libraries.SQL.IsInitialized = False Then
'		Libraries.SQL.InitializeSQLite(File.DirApp, "zalon.db", True)
'	End If
'	
'	Libraries.SQL.BeginTransaction
'	Try
'		Libraries.SQL.ExecNonQuery2($"UPDATE users SET publish = ?, updatedBy = ?, updatedAt = ? WHERE id = ?"$, _
'		Array As Object(0, 1, $"${DateTime.Date(DateTime.Now)} ${DateTime.Time(DateTime.Now)}"$, id))
'
'		Libraries.SQL.TransactionSuccessful
'		result = True
'	Catch
'		Log(LastException.Message)
'		Libraries.SQL.RollBack 'no changes will be made
'		result = False
'	End Try
'	
'	Libraries.SQL.Close
'	Return result
'End Sub



'Private Sub lblDelete_MouseClicked (EventData As MouseEvent)
'	Dim index As Int = clvUsers.GetItemFromView(Sender)
'	Dim pnl As B4XView = clvUsers.GetPanel(index)
'	Dim id As Int = pnl.GetView(0).Text
	
'	Log(id)
'	
'	Dim sf As Object = Libraries.xui.Msgbox2Async("Delete record?", "Delete User", "Yes", "", "No", Null)
'	Wait For (sf) Msgbox_Result (Result As Int)
'	If Result = Libraries.xui.DialogResponse_Positive Then
'		Log("Record Deleted")
'		Wait For (deleteUser(id)) Complete (Success As Boolean)
'		If Success Then
'			getUsers
'		End If
'
'	End If
'End Sub

Private Sub getUsers As ResumableSub
	If Libraries.SQL.IsInitialized = False Then
		Libraries.SQL.InitializeSQLite(File.DirApp, "zalon.db", True)
	End If
	
	Try
		Dim qry As String = "SELECT Id, [firstname] As getUser2, [lastname] As Lastname, [groupid] As 'Group Id' FROM users WHERE published = ?"
		Dim SenderFilter As Object = Libraries.SQL.ExecQueryAsync("SQL", qry, Array As String(1))
		Wait For (SenderFilter) SQL_QueryComplete (Success As Boolean, rs As ResultSet)
		If Success Then
			Dim cols As List
			cols.Initialize
			cols.Add("Id")
			cols.Add("Firstname")
			cols.Add("Lastname")
			cols.Add("Group Id")
			tblUsers.SetColumns(cols)
			Do While rs.NextRow
				Dim values(rs.ColumnCount) As String
				For col = 0 To rs.ColumnCount - 1
					values(col) = rs.GetString2(col)
				Next
				tblUsers.Items.Add(values)
			Loop
		Else
			Log(LastException)
		End If
		
	Catch
		Log(LastException.Message)
	End Try
	
	Libraries.SQL.Close
	
	Return True
End Sub
