﻿B4J=true
Group=Modules
ModulesStructureVersion=1
Type=StaticCode
Version=10
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private frmLogin As Form
	
	Private tfPassword As B4XView
	Private tfUsername As B4XView
End Sub

Public Sub Show
	If frmLogin.IsInitialized = False Then
		frmLogin.Initialize("frmLogin", 800, 600)
		
		Controls.setMaximized(frmLogin, False)
		frmLogin.RootPane.LoadLayout("login")
		frmLogin.Title = Variables.appTitle & " [Login]"
		Metro.ApplyTheme(frmLogin,"Light")
		frmLogin.Show
		
		tfUsername.Text = "admin"
		tfPassword.Text = "password"
		
	End If
End Sub

Private Sub btnLogin_MouseClicked (EventData As MouseEvent)
	Dim username As String = tfUsername.Text
	Dim password As String = tfPassword.Text
	
	If  UserLogin(username, Controls.SHA256(password)) = False Then
		Libraries.XUI.MsgboxAsync("Invlaid login", "Error")
	Else
'		Dim sf As Object = Libraries.xui.Msgbox2Async("Login success", "Success", "Ok", "", "", Null)
'		Wait For (sf) Msgbox_Result (Result As Int)
'		If Result = Libraries.xui.DialogResponse_Positive Then
		MDI.Show
		frmLogin.Close
'		End If
	End If
	
End Sub

Private Sub UserLogin(username As String, password As String) As Boolean
	Dim result As Boolean
	If Libraries.SQL.IsInitialized = False Then
		Libraries.SQL.InitializeSQLite(File.DirApp, "zalon.db", True)
	End If
	
	Libraries.SQL.BeginTransaction
	Try
		Variables.userId = 0
		
		Dim rs As ResultSet = Libraries.SQL.ExecQuery2("SELECT * FROM users WHERE username = ? AND password = ? AND published = ?", _
		Array As String(username, password, 1))
		
		Do While rs.NextRow
			Variables.userId = rs.GetInt("id")
			Variables.username = rs.GetString("username")
			Variables.firstname = rs.GetString("firstname")
			Variables.lastname = rs.GetString("lastname")
			Variables.groupId = rs.GetInt("groupId")
		Loop
		
		Libraries.SQL.TransactionSuccessful
		rs.Close
		
		If Variables.userId = 0 Then
			result = False
		Else
			result = True
		End If
	Catch
		Log(LastException.Message)
		Libraries.SQL.RollBack 'no changes will be made
		result = False
	End Try
	
	Libraries.SQL.Close
	Return result
End Sub